Apply MQ Service on Ubuntu – 7.0.1.0 to 7.0.1.5

The first thing to do before upgrading MQ is to stop all queue managers. If you are running any message brokers then stop these as well.

i.e. endmqm CSIM

Use the command “dspmq” to check that all local queue managers are stopped

Download the fixback from the IBM service web site – i.e. for 64-bit Ubuntu 7.0.1-WS-MQ-LinuxX64-FP0005.tar.gz

First we must remove the old versions of GSK as these clash with the new ones

rpm -e –noscripts –nodeps gsk7bas-7.0-4.23.i386
rpm -e –noscripts –nodeps

We can now install the latest version of GSK and the MQ updates

rpm -ivh –nodeps –force-debian gsk7*
rpm -ivh –nodeps –force-debian MQSeries*

Check that the install has gone OK by running “dspmqver”. The output should look like

Name:        WebSphere MQ
Version:     7.0.1.5
CMVC level:  p701-105-110419
BuildType:   IKAP – (Production)

You can now start up your queue managers using strmqm as per usual and they should be running at 7.0.1.5

Leave a comment

Your email address will not be published. Required fields are marked *